Skip to content

Your data / Recruitment tracker / Sessions

PATCH
https://ba.joexyz.online/api/v1/me/recruitment/accounts/:accountId/sessions/:sessionId

Updates a session; later sessions of the account are recalculated. Fields you leave out keep their current values.

Parameters

  • accountId (path): The recruitment account id.
  • sessionId (path): The session id.

Authentication

Bearer Token — send Authorization: Bearer <token>. Inherited from folder "Your data".

Path parameters

NameValue
accountId
sessionId

Headers

NameValue
Content-Typeapplication/json

Bodyapplication/json

{
  "threeStarCount": 4
}
curl -X PATCH https://ba.joexyz.online/api/v1/me/recruitment/accounts/:accountId/sessions/:sessionId \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer {{api_key}}' \
  --data-raw '{
  "threeStarCount": 4
}'
Response
{
  "data": {
    "id": "m97av0zgt5v6bbmt5ny2pgq1w98h4g6q",
    "createdAt": "2026-10-28T11:32:05.383Z",
    "name": "Racing HifuAzu",
    "computedStats": {
      "earnedRebateTickets": 3,
      "endCharge": 3,
      "experiencedPURate": 1.3071895424836601,
      "experiencedThreeStarRate": 2.6143790849673203,
      "hardPities": 0,
      "limitedEndCharge": 3,
      "paidPulls": 133,
      "permanentEndCharge": 0,
      "pickupClassifications": [
        {
          "studentId": "hifumi_racing",
          "charge": 100,
          "classification": "softWin",
          "kind": "limited"
        },
        {
          "studentId": "azusa_racing",
          "charge": 58,
          "classification": "beforeSoftPity",
          "kind": "limited"
        }
      ],
      "pickupCount": 2,
      "pools": {
        "limited": {
          "endCharge": 3,
          "hardPities": 0,
          "pickupCount": 2,
          "pulls": 153,
          "softPityLosses": 0,
          "softPityWins": 1,
          "startCharge": 8
        },
        "permanent": {
          "endCharge": 0,
          "hardPities": 0,
          "pickupCount": 0,
          "pulls": 0,
          "softPityLosses": 0,
          "softPityWins": 0,
          "startCharge": 0
        }
      },
      "pullsPerPU": 76.5,
      "pullsPerThreeStar": 38.25,
      "pyroxenesSaved": 2400,
      "pyroxenesSpent": 15960,
      "rebatePulls": 20,
      "rebateTicketsUsed": 2,
      "remainingRebateTickets": 1,
      "softPityLosses": 0,
      "softPityWins": 1
    },
    "date": 1793186803513,
    "isFestBanner": false,
    "isLatest": true,
    "kind": "limited",
    "limitedPulls": 153,
    "limitedStartCharge": 8,
    "permanentPulls": 0,
    "permanentStartCharge": 0,
    "pickupsObtained": [
      {
        "studentId": "hifumi_racing",
        "charge": 100,
        "kind": "limited"
      },
      {
        "studentId": "azusa_racing",
        "charge": 58,
        "kind": "limited"
      }
    ],
    "rebateTicketsFromPreviousSession": 0,
    "rebateTicketsUsed": 2,
    "recruitmentAccountId": "m575f032hbdgstqydc8qbfx4318d039r",
    "startCharge": 8,
    "stats": {
      "earnedRebateTickets": 3,
      "endCharge": 3,
      "experiencedPURate": 1.3071895424836601,
      "experiencedThreeStarRate": 2.6143790849673203,
      "hardPities": 0,
      "limitedEndCharge": 3,
      "paidPulls": 133,
      "permanentEndCharge": 0,
      "pickupClassifications": [
        {
          "studentId": "hifumi_racing",
          "charge": 100,
          "classification": "softWin",
          "kind": "limited"
        },
        {
          "studentId": "azusa_racing",
          "charge": 58,
          "classification": "beforeSoftPity",
          "kind": "limited"
        }
      ],
      "pickupCount": 2,
      "pools": {
        "limited": {
          "endCharge": 3,
          "hardPities": 0,
          "pickupCount": 2,
          "pulls": 153,
          "softPityLosses": 0,
          "softPityWins": 1,
          "startCharge": 8
        },
        "permanent": {
          "endCharge": 0,
          "hardPities": 0,
          "pickupCount": 0,
          "pulls": 0,
          "softPityLosses": 0,
          "softPityWins": 0,
          "startCharge": 0
        }
      },
      "pullsPerPU": 76.5,
      "pullsPerThreeStar": 38.25,
      "pyroxenesSaved": 2400,
      "pyroxenesSpent": 15960,
      "rebatePulls": 20,
      "rebateTicketsUsed": 2,
      "remainingRebateTickets": 1,
      "softPityLosses": 0,
      "softPityWins": 1
    },
    "threeStarCount": 4,
    "totalPulls": 153
  }
}

Joe's Blue Archive Tools API · exported Nov 1, 2026

llms.txtBuilt with yaakdoc